RFR JDK-8227024 : Remove the deprecated javax.security.cert APIs

Xuelei Fan xuelei.fan at oracle.com
Thu Mar 12 17:34:21 UTC 2020


And the release note task:
   https://bugs.openjdk.java.net/browse/JDK-8240968

Xuelei

On 3/12/2020 9:47 AM, Xuelei Fan wrote:
> Hi,
> 
> Could I get the following update reviewed?
> 
> CSR: https://bugs.openjdk.java.net/browse/JDK-8227395
> Webrev: http://cr.openjdk.java.net/~xuelei/8227024/webrev.00/
> 
> The legacy javax.security.cert APIs and the dependent were initially 
> deprecated in Java SE 9 and marked for removal in Java SE 13. 
> Applications should use the java.security.cert APIs for now.  This is a 
> request to remove the deprecated javax.security.cert APIs.
> 
> The use of the legacy APIs should be rare now.  But please let me know 
> if you have concerns before March 19, 2019.
> 
> Thanks & Regards,
> Xuelei


More information about the security-dev mailing list